标签:: rpm

从跨版本升级PHP说CENTOS的软件安装

更新记录20160622-初次成文 为什么会有这篇文章最近帮亲戚改一个PHP的系统,需要PHP版本 > 5.4.0,发现自己的阿里云是5.3.29,然后升级过程稍微有点曲折,就在这里开个帖子,总结一下。 我的系统是CENTOS 6.5 64位,采用php -v看到的版本是5.3.29,使用rpm -qa | grep php,显示的结果为空,这说明我的PHP是通过编译安装,而不是通过 RPM 或者 YUM 安装的。 这里正好多说两句,关于LINUX系统下安装程序的2种方法。参考了下面几篇帖子总结而成。